/**
 * 说明：检测菜单项是否已打开
 */
function checkBtnActives(arr) {
    for (let i = 0; i < arr.length; i++) {
        let temp = arr[i];
        if ($(temp).hasClass('active')) {
            $(temp).removeClass('active');
            $(temp).find('.control-menu').removeClass('actives');
        }
    }
}
/**
 * 说明：判断是否全屏
 */
function checkFull() {
    var isFull =
        document.fullscreenElement ||
        document.mozFullScreenElement ||
        document.webkitFullscreenElement;
    //to fix : false || undefined == undefined
    if (isFull === undefined) isFull = false;
    return isFull;
}
/**
 * 说明：创建胶囊
 */
function createBox() {
    if (box == null) {
        box = app.create({
            type: 'Thing',
            url: 'https://model.3dmomoda.com/models/9CD08ED91F5C4E0ABB6B0833C86F2942/0/gltf/',
            position: [0, 0, 0],
            angle: 180,
            scale: [1.7, 1.7, 1.7],
            style: {
                color: '#FF0000'
            }
        });
    }
}
/**
 * 说明：第一人称行走
 */
function enterFps(pos) {
    if (fpsCtrl == null) {
